Debian Bug report logs - #592539
isc-dhcp-server: supply additional initscript for IPv6 daemon

version graph

Package: isc-dhcp-server; Maintainer for isc-dhcp-server is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>; Source for isc-dhcp-server is src:isc-dhcp.

Reported by: Bernhard Schmidt <berni@birkenwald.de>

Date: Tue, 10 Aug 2010 19:51:02 UTC

Severity: important

Tags: ipv6, patch

Merged with 611825

Found in versions isc-dhcp/4.1.1-P1-15, isc-dhcp/4.1.1-P1-9

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 10 Aug 2010 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
New Bug report received and forwarded. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 10 Aug 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: isc-dhcp-server: supply additional initscript for IPv6 daemon
Date: Tue, 10 Aug 2010 21:38:14 +0200
Package: isc-dhcp-server
Version: 4.1.1-P1-9
Severity: wishlist
Tags: ipv6

ISC dhcpd supports both IPv4 and IPv6. But both modes need a seperate
daemon running (one with -4, one with -6).

       The server either operates as a DHCPv6 server or a DHCP server, but not
       both  at  the same time. To run as a DHCPv6 server, use the -6 flag. To
       run as a DHCP server, use the -4 flag. If neither is used, the  default
       is to run as a DHCPv6 server.

Please provide a way to run both daemons (with seperate configurations)
at the same time, for example by installing two initscripts.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages isc-dhcp-server depends on:
ii  debconf [debconf-2.0]         1.5.33     Debian configuration management sy
ii  debianutils                   3.4        Miscellaneous utilities specific t
ii  isc-dhcp-common               4.1.1-P1-9 common files used by all the isc-d
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libssl0.9.8                   0.9.8o-1   SSL shared libraries
ii  lsb-base                      3.2-23.1   Linux Standard Base 3.2 init scrip

isc-dhcp-server recommends no packages.

Versions of packages isc-dhcp-server suggests:
pn  isc-dhcp-server-ldap          <none>     (no description available)

-- Configuration Files:
/etc/dhcp/dhcpd.conf changed [not included]

-- debconf information:
  isc-dhcp-server/interfaces:
  isc-dhcp-server/config_warn:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 23 Nov 2010 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémy Sanchez <debian-bug@hyperthese.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 23 Nov 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 592539@bugs.debian.org (full text, mbox):

From: Rémy Sanchez <debian-bug@hyperthese.net>
To: <592539@bugs.debian.org>
Subject: First attempt
Date: Tue, 23 Nov 2010 18:03:19 +0100
[Message part 1 (text/plain, inline)]
Since I need that script, I did create one from the original 
isc-dhcp-server.init.d. You can use it in parallel to the old DHCP 
version. You'll need to have your config file in /etc/dhcp/dhcpd6.conf 
and the default file in /etc/default/isc-dhcp6-server (which has the 
same syntax that the old one).

As always, feedback is welcome to improve the script, and please tell 
me if I can help integrating it to the package.

By the way, IMHO this is _not_ a feature but a bug, since the binary 
bundles with the support of a whole new protocol (DHCPv6) that you 
cannot use by just configuring the server. Moreover, whith IPv4 
depletion, it'd be nice to have the next stable Debian to properly 
support IPv6, which is almost done since most of softwares do support 
IPv6, and only some Debian wrappers are missing.</my 2 cents>

-- 
Rémy Sanchez
[isc-dhcp6-server.init.d (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Thu, 10 Feb 2011 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaap-Jan van der Veen <jjvdveen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 13:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 592539@bugs.debian.org (full text, mbox):

From: Jaap-Jan van der Veen <jjvdveen@gmail.com>
To: 592539@bugs.debian.org
Subject: Small fix in proposed initscript
Date: Thu, 10 Feb 2011 14:15:18 +0100
[Message part 1 (text/plain, inline)]
In Rémy Sanchez' proposed initscript, you'll have to change line 70:
--exec /usr/sbin/dhcpd -- -6 -q $INTERFACES

to:
--exec /usr/sbin/dhcpd -- -6 -q -cf "$CONFFILE" $INTERFACES

Otherwise /etc/dhcp/dhcpd.conf is used by default.
[Message part 2 (text/html, inline)]

Forcibly Merged 592539 611825. Request was from Florent Fourcot <florent.fourcot@resel.fr> to control@bugs.debian.org. (Mon, 28 Feb 2011 17:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 28 Feb 2011 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Fourcot <florent.fourcot@resel.fr>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 28 Feb 2011 17:51:05 GMT) Full text and rfc822 format available.

Message #22 received at 592539@bugs.debian.org (full text, mbox):

From: Florent Fourcot <florent.fourcot@resel.fr>
To: 592539@bugs.debian.org
Subject: Only one script
Date: Mon, 28 Feb 2011 18:38:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

I changed the init.d script to provide both DHCPv4 and DHCPv6 (see file
isc-dhcp-server as attachment). The configuration for IPv4 stays in
/etc/dhcp/dhcpd.conf and the DHCPv6 configuration go in
/etc/dhcp/dhcpd6.conf.

The administrator can enable or disable protocols in
/etc/default/isc-dhcp-server (see isc-dhcp-server-default in attachment)
and customize interfaces to listen for both protocols.

It's probably possible to do better, but I think that it's a good first
approach for this issue.

Best regards,

-- 
Florent Fourcot.
[isc-dhcp-server (text/plain, attachment)]
[isc-dhcp-server-default (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Sun, 17 Apr 2011 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron Murray <rjmx@rjmx.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 17 Apr 2011 04:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 592539@bugs.debian.org (full text, mbox):

From: Ron Murray <rjmx@rjmx.net>
To: 592539@bugs.debian.org
Subject: Re: only one script
Date: Sun, 17 Apr 2011 00:14:30 -0400
[Message part 1 (text/plain, inline)]
Florent's init.d script doesn't work if more than one interface is
specified in /etc/default/isc-dhcp-server. The attached script fixes
that problem.

 .....Ron

-- 
Ron Murray   (rjmx@rjmx.net)
http://www.rjmx.net/~ron
GPG Public Key Fingerprint:
  0ED0 C1D1 615C FCCE 7424  9B27 31D8 AED5 AF6D 0D4A

For sale, Toilet-seat cover. Barely used.

[isc-dhcp-server.ipv6 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Fri, 22 Apr 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 22 Apr 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 592539@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 592539@bugs.debian.org
Subject: 590158 another possible solution
Date: Fri, 22 Apr 2011 01:20:31 -0700
[Message part 1 (text/plain, inline)]
Another possible solution to this bug (running multiple instances of
the dhcp server) is to use a technique like that in
http://bugs.debian.org/590158 and http://bugs.debian.org/565650.

-- 
Kenyon Ralph
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 22 Apr 2011 08:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Thu, 19 May 2011 06:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémy Sanchez <debian-bugs@hyperthese.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 19 May 2011 06:18:12 GMT) Full text and rfc822 format available.

Message #39 received at 592539@bugs.debian.org (full text, mbox):

From: Rémy Sanchez <debian-bugs@hyperthese.net>
To: 592539@bugs.debian.org
Subject: Re: Bug#592539: 590158 another possible solution
Date: Thu, 19 May 2011 08:15:35 +0200
On 04/22/2011 10:20 AM, Kenyon Ralph wrote:
> Another possible solution to this bug (running multiple instances of
> the dhcp server) is to use a technique like that in
> http://bugs.debian.org/590158 and http://bugs.debian.org/565650.

Why not, however IMHO it would be a good idea to have this configured
for both IPv4 and IPv6 by default. Configuring IPv6 is a hurdle, there
is no need to make it more painful with a non-intuitive configuration
procedure.

--
Rémy Sanchez




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 15 Aug 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 15 Aug 2011 11:24:15 GMT) Full text and rfc822 format available.

Message #44 received at 592539@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 592539@bugs.debian.org
Subject: Bug#592539 (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Mon, 15 Aug 2011 13:20:34 +0200
Hi,

I ran into this today, too, so of course I would be happy, too, if one
of the suggestions made in this bug report would make it into the
Debian package. :-)

Before I found the bug report, my idea to solve this was to add
another binary package e.g. called isc-dhcp6-server to the source
package which just includes the second init.d script and configuration.

I though think that Florent Fourcot's solution is the most elegant one
and will probably implement it on my Squeeze based DHCP servers.

Andrew: Any idea if (or when) upstream will make DHCP for IPv4 and
DHCPv6 work in the same instance of dhcpd?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 25 Jun 2012 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gémes Géza <geza@kzsdabas.hu>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 25 Jun 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #49 received at 592539@bugs.debian.org (full text, mbox):

From: Gémes Géza <geza@kzsdabas.hu>
To: 592539@bugs.debian.org
Subject: patch
Date: Mon, 25 Jun 2012 21:46:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've created a patch (for 4.2.4-1) which adds (a slightly modified 
version of 
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=22;filename=isc-dhcp-server;att=1;bug=592539) 
the ability to start listening on IPv6 for isc-dhcp-server, as well the 
debconf parameters needed to configure the running of zero/one/two 
instances (for IPv4 and/or IPv6).

Cheers

Geza
[ipv6_enable.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Thu, 25 Oct 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 25 Oct 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #54 received at 592539@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: 592539@bugs.debian.org
Subject: Re: Bug#592539 (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Thu, 25 Oct 2012 10:13:14 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi there,

On 08/15/2011 01:20 PM, Axel Beckert wrote:
> I ran into this today, too, so of course I would be happy, too, if
> one of the suggestions made in this bug report would make it into
> the Debian package. :-)
[...]
> I though think that Florent Fourcot's solution is the most elegant
> one and will probably implement it on my Squeeze based DHCP
> servers.
> 
> Andrew: Any idea if (or when) upstream will make DHCP for IPv4 and 
> DHCPv6 work in the same instance of dhcpd?

is there any reason for not implementing this?

As the bug is 2 years old and the lifecycle of wheezy is actually
planed ending anywhere in 2016, I'm asking me, if that is conflicting
with the IPv6 release goal (which we have since Lenny).
Looking into actual requirements in the field, it is needed to run
DHCP-servers dualstacked for a long time, at least when wheezy will be
released anytime.

So ... what is the showstopper for this (in my opinion) legitim and
reasonable request?

Many thanks, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFQiPSa9u6Dud+QFyQRAlq8AKCIo3SOL5ugdFHbGjohc+SFxLfQOwCg356v
xkOaaNQJZMFA6wR3Z6uOJ/Y=
=z7a/
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Thu, 25 Oct 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 25 Oct 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #59 received at 592539@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Axel Beckert <abe@debian.org>, 592539@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Thu, 25 Oct 2012 09:02:16 -0700
On Mon, Aug 15, 2011 at 01:20:34PM +0200, Axel Beckert wrote:
> Hi,
> 
> I ran into this today, too, so of course I would be happy, too, if one
> of the suggestions made in this bug report would make it into the
> Debian package. :-)
> 
> Before I found the bug report, my idea to solve this was to add
> another binary package e.g. called isc-dhcp6-server to the source
> package which just includes the second init.d script and configuration.
> 
> I though think that Florent Fourcot's solution is the most elegant one
> and will probably implement it on my Squeeze based DHCP servers.
> 
> Andrew: Any idea if (or when) upstream will make DHCP for IPv4 and
> DHCPv6 work in the same instance of dhcpd?
> 

No, I don't have any idea unfortunately. I haven't had many spare cycles
lately, so I haven't had a chance to engage with the ISC for a while. I'll
look to doing so early in the new year.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Thu, 25 Oct 2012 16:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 25 Oct 2012 16:18:05 GMT) Full text and rfc822 format available.

Message #64 received at 592539@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Jan Wagner <waja@debian.org>, 592539@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Thu, 25 Oct 2012 09:03:30 -0700
On Thu, Oct 25, 2012 at 10:13:14AM +0200, Jan Wagner wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi there,
> 
> On 08/15/2011 01:20 PM, Axel Beckert wrote:
> > I ran into this today, too, so of course I would be happy, too, if
> > one of the suggestions made in this bug report would make it into
> > the Debian package. :-)
> [...]
> > I though think that Florent Fourcot's solution is the most elegant
> > one and will probably implement it on my Squeeze based DHCP
> > servers.
> > 
> > Andrew: Any idea if (or when) upstream will make DHCP for IPv4 and 
> > DHCPv6 work in the same instance of dhcpd?
> 
> is there any reason for not implementing this?
> 
> As the bug is 2 years old and the lifecycle of wheezy is actually
> planed ending anywhere in 2016, I'm asking me, if that is conflicting
> with the IPv6 release goal (which we have since Lenny).
> Looking into actual requirements in the field, it is needed to run
> DHCP-servers dualstacked for a long time, at least when wheezy will be
> released anytime.
> 
> So ... what is the showstopper for this (in my opinion) legitim and
> reasonable request?

Time mainly. If you can get an advance commitment from the release managers
that such a change would be allowed into Wheezy given it's frozen, I'd be
more inclined to try and make some time to make it happen now rather than
later.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Fri, 26 Oct 2012 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 26 Oct 2012 10:54:03 GMT) Full text and rfc822 format available.

Message #69 received at 592539@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 592539@bugs.debian.org
Subject: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): I'm using Florent Fourcot solution
Date: Fri, 26 Oct 2012 12:51:57 +0200
Hi,

just wanted to mention that I do run Florent Fourcot's solution[1] on the
DHCP server in my dual-stack test network. While the load is nothing
statistical relevant, the init.d script works fine for me.

  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592539#22

I though suspect that Ron Murray's fix for multiple interfaces[2] likely
should be applied, too, although I haven't tested it as I don't have
that ( use | testing ) case (yet).

  [2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592539#27

My setup includes three config files, one called dhcpd6.conf with the
IPv6 only stuff and one called dhcpd.conf with the IPv4 only stuff (as
with Florent), but I then have a third file with all the common stuff
called dhcpd-common.conf. In both, dhcpd.conf and dhcpd6.conf, I have the
line 'include "/etc/dhcp/dhcpd-common.conf";' to avoid duplicated
configuration items.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Fri, 26 Oct 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 26 Oct 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #74 received at 592539@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: debian-release@lists.debian.org
Cc: Andrew Pollock <apollock@debian.org>, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Fri, 26 Oct 2012 13:11:41 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dear release team,

I stumbled over this problem when we tried to setup a dualstacked
isc-dhcp-server in wheezy.

On 10/25/2012 06:03 PM, Andrew Pollock wrote:
> On Thu, Oct 25, 2012 at 10:13:14AM +0200, Jan Wagner wrote:
>> On 08/15/2011 01:20 PM, Axel Beckert wrote:
>>> I ran into this today, too, so of course I would be happy, too,
>>> if one of the suggestions made in this bug report would make it
>>> into the Debian package. :-)
>> [...]
>>> I though think that Florent Fourcot's solution is the most
>>> elegant one and will probably implement it on my Squeeze based
>>> DHCP servers.
>>> 
>>> Andrew: Any idea if (or when) upstream will make DHCP for IPv4
>>> and DHCPv6 work in the same instance of dhcpd?
>> 
>> is there any reason for not implementing this?
>> 
>> As the bug is 2 years old and the lifecycle of wheezy is
>> actually planed ending anywhere in 2016, I'm asking me, if that
>> is conflicting with the IPv6 release goal (which we have since
>> Lenny). Looking into actual requirements in the field, it is
>> needed to run DHCP-servers dualstacked for a long time, at least
>> when wheezy will be released anytime.
>> 
>> So ... what is the showstopper for this (in my opinion) legitim
>> and reasonable request?
> 
> Time mainly. If you can get an advance commitment from the release
> managers that such a change would be allowed into Wheezy given it's
> frozen, I'd be more inclined to try and make some time to make it
> happen now rather than later.

As far as I know, Axel Beckert used the proposed fix successfully on
squeeze.

Could you please state, if you would accept such fix via t-p-u, if
this was also fixed in unstable.

This fix will enhance the IPv6-readyness in wheezy a lot, as in the
next years the IPv6 rollout in corporate networks requires DHCPv6 in
most cases (beside maybe parallel DHCPv4).

Many thanks, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFQim/s9u6Dud+QFyQRApsoAJ92lmIwsVbtO69e7RngDbMFLezOugCeK5Zf
6cGF1O4iZQT0xP4/NPa5vgY=
=ZOTe
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Sun, 28 Oct 2012 06:57:07 GMT) Full text and rfc822 format available.

Message #77 received at 592539@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jan Wagner <waja@debian.org>
Cc: debian-release@lists.debian.org, Andrew Pollock <apollock@debian.org>, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Sun, 28 Oct 2012 07:54:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Oct 26, 2012 at 01:11:41PM +0200, Jan Wagner wrote:
> Could you please state, if you would accept such fix via t-p-u, if
> this was also fixed in unstable.

iff this fix has spent a while in unstable and was confirmed not to have
some unpleasant side effects that affect IPv4 usage. There's no way this
will be accepted just into t-p-u without unstable being fixed.

> This fix will enhance the IPv6-readyness in wheezy a lot, as in the
> next years the IPv6 rollout in corporate networks requires DHCPv6 in
> most cases (beside maybe parallel DHCPv4).

Meh, DHCPv6 is mostly used with Windows clients anyway. Many people
relate the necessity of running DHCPv4 when using IPv4 with DHCPv6 and
IPv6. That's simply not true.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 29 Oct 2012 12:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 29 Oct 2012 12:00:06 GMT) Full text and rfc822 format available.

Message #82 received at 592539@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Philipp Kern <pkern@debian.org>, 592539@bugs.debian.org
Cc: Jan Wagner <waja@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Mon, 29 Oct 2012 12:52:42 +0100
Hi,

Philipp Kern wrote:
> > This fix will enhance the IPv6-readyness in wheezy a lot, as in the
> > next years the IPv6 rollout in corporate networks requires DHCPv6 in
> > most cases (beside maybe parallel DHCPv4).
> 
> Meh, DHCPv6 is mostly used with Windows clients anyway.

I disagree. DHCPv6 is used a lot where you don't want SLAAC tell
outsiders (e.g. Google) how much hardware from which vendor is used in
your company/school and/or if you don't want your users to use privacy
extensions to be able to audit the internal network. That's all not
OS-dependent.

> Many people relate the necessity of running DHCPv4 when using IPv4
> with DHCPv6 and IPv6.

I don't think so. 

> That's simply not true.

IMHO wrong. There's a true core in it: If you need to announce HTTP
proxies, NTP servers and other stuff besides just IP addresses in your
IPv6 network, SLAAC doesn't suffice and you need DHCPv6 even if SLAAC
is in use.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 29 Oct 2012 14:03:03 GMT) Full text and rfc822 format available.

Message #85 received at 592539@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 592539@bugs.debian.org, Jan Wagner <waja@debian.org>
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Mon, 29 Oct 2012 15:00:51 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Oct 29, 2012 at 12:52:42PM +0100, Axel Beckert wrote:
> Philipp Kern wrote:
> > > This fix will enhance the IPv6-readyness in wheezy a lot, as in the
> > > next years the IPv6 rollout in corporate networks requires DHCPv6 in
> > > most cases (beside maybe parallel DHCPv4).
> > Meh, DHCPv6 is mostly used with Windows clients anyway.
> 
> I disagree. DHCPv6 is used a lot where you don't want SLAAC tell
> outsiders (e.g. Google) how much hardware from which vendor is used in
> your company/school

- privacy extensions

> and/or if you don't want your users to use privacy extensions to be
> able to audit the internal network. That's all not OS-dependent.

- 802.1x
- ND cache polling and/or traps

Auditing by "I gave him that address so he has to use it" in an address
space as vast as IPv6 is ridiculous IMHO. In IPv4 you really ran into
conflicts.

> > Many people relate the necessity of running DHCPv4 when using IPv4
> > with DHCPv6 and IPv6.
> I don't think so. 

I know that there's the fixed assumption by many people that stateful
DHCPv6 is essential, because that's how it's done with IPv4.

> > That's simply not true.
> IMHO wrong. There's a true core in it: If you need to announce HTTP
> proxies, NTP servers and other stuff besides just IP addresses in your
> IPv6 network, SLAAC doesn't suffice and you need DHCPv6 even if SLAAC
> is in use.

Stateless DHCPv6, yes. Which can often also be provided by the network
components themselves because it's stateless. (But now I may be
suggesting to use proprietary components in your network, which is also
the reality, but I can as well shut up because it doesn't help the point
here.)

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 30 Oct 2012 09:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémy Sanchez <remy.sanchez@hyperthese.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 30 Oct 2012 09:33:06 GMT) Full text and rfc822 format available.

Message #90 received at 592539@bugs.debian.org (full text, mbox):

From: Rémy Sanchez <remy.sanchez@hyperthese.net>
To: 592539@bugs.debian.org, Philipp Kern <pkern@debian.org>
Cc: Jan Wagner <waja@debian.org>
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Tue, 30 Oct 2012 10:29:21 +0100
[Message part 1 (text/plain, inline)]
On Monday 29 October 2012 15:00:51 Philipp Kern wrote:
> Hi,
> 
> On Mon, Oct 29, 2012 at 12:52:42PM +0100, Axel Beckert wrote:
> > Philipp Kern wrote:
> > > > This fix will enhance the IPv6-readyness in wheezy a lot, as in the
> > > > next years the IPv6 rollout in corporate networks requires DHCPv6 in
> > > > most cases (beside maybe parallel DHCPv4).
> > > 
> > > Meh, DHCPv6 is mostly used with Windows clients anyway.
> > 
> > I disagree. DHCPv6 is used a lot where you don't want SLAAC tell
> > outsiders (e.g. Google) how much hardware from which vendor is used in
> > your company/school
> 
> - privacy extensions
> 
> > and/or if you don't want your users to use privacy extensions to be
> > able to audit the internal network. That's all not OS-dependent.
> 
> - 802.1x
> - ND cache polling and/or traps
> 
> Auditing by "I gave him that address so he has to use it" in an address
> space as vast as IPv6 is ridiculous IMHO. In IPv4 you really ran into
> conflicts.
> 
> > > Many people relate the necessity of running DHCPv4 when using IPv4
> > > with DHCPv6 and IPv6.
> > 
> > I don't think so.
> 
> I know that there's the fixed assumption by many people that stateful
> DHCPv6 is essential, because that's how it's done with IPv4.
> 
> > > That's simply not true.
> > 
> > IMHO wrong. There's a true core in it: If you need to announce HTTP
> > proxies, NTP servers and other stuff besides just IP addresses in your
> > IPv6 network, SLAAC doesn't suffice and you need DHCPv6 even if SLAAC
> > is in use.
> 
> Stateless DHCPv6, yes. Which can often also be provided by the network
> components themselves because it's stateless. (But now I may be
> suggesting to use proprietary components in your network, which is also
> the reality, but I can as well shut up because it doesn't help the point
> here.)
> 
> Kind regards
> Philipp Kern

And why the hell could people need a X server when you can do almost 
everything with ncurses apps? I don't personally encourage packaging software 
for dump people...

No seriously guys, we're talking about a piece of init script that was 
submited two years ago and that enables a major feature of the package. Is it 
*so* hard to integrate ?

My 2 bitcoins,
-- 
Rémy Sanchez
http://hyperthese.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 30 Oct 2012 10:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 30 Oct 2012 10:30:06 GMT) Full text and rfc822 format available.

Message #95 received at 592539@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: debian-release@lists.debian.org, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Tue, 30 Oct 2012 11:27:39 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Andrew,

On 10/28/2012 07:54 AM, Philipp Kern wrote:
> On Fri, Oct 26, 2012 at 01:11:41PM +0200, Jan Wagner wrote:
>> Could you please state, if you would accept such fix via t-p-u,
>> if this was also fixed in unstable.
> 
> iff this fix has spent a while in unstable and was confirmed not to
> have some unpleasant side effects that affect IPv4 usage. There's
> no way this will be accepted just into t-p-u without unstable being
> fixed.

do you think you could provide a debdiff with the changes? As stated
also by Philipp, the fix needs to be uploaded to unstable first. After
there are no problems, RM seems willing to accept the fix (depending
on how invasive it is).

Many thanks, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFQj6ua9u6Dud+QFyQRApuSAKCJZP4zxZrni0JjVI64XhE0Uh2/ngCgxUjE
fht+RPMH5W8LWGW+b464PUc=
=rAf7
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 30 Oct 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patryk Ściborek <patryk@sciborek.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 30 Oct 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #100 received at 592539@bugs.debian.org (full text, mbox):

From: Patryk Ściborek <patryk@sciborek.com>
To: 592539@bugs.debian.org
Subject: DHCPv6
Date: Tue, 30 Oct 2012 14:37:34 +0100
[Message part 1 (text/plain, inline)]
Hi Guys,

I'd like to throw my 2 cents in: I'm currently setting up dualstack
wireless network. Because I want to be able to match firewall logs
with users I don't want them to use privacy extensions and there is no
way to force clients to use mac based addresses and prohibit privacy
extensions use. So the only option is DHCPv6 and of course DHCPv4.
Right now I use patch provided by Geza
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592539#49) with
small typos fixed (see attachment).

So fix this bug please because it has real life uses.

Cheers,
Patryk

PS
In my environment there is a lot of iOS users using DHCPv6 so it's not
only Windows. Android unfortunately doesn't support DHCPv6 yet.
[ipv6_enable.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Tue, 30 Oct 2012 16:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 30 Oct 2012 16:24:09 GMT) Full text and rfc822 format available.

Message #105 received at 592539@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Jan Wagner <waja@debian.org>
Cc: debian-release@lists.debian.org, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Tue, 30 Oct 2012 09:23:32 -0700
[Message part 1 (text/plain, inline)]
On Tue, Oct 30, 2012 at 11:27:39AM +0100, Jan Wagner wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi Andrew,
> 
> On 10/28/2012 07:54 AM, Philipp Kern wrote:
> > On Fri, Oct 26, 2012 at 01:11:41PM +0200, Jan Wagner wrote:
> >> Could you please state, if you would accept such fix via t-p-u,
> >> if this was also fixed in unstable.
> > 
> > iff this fix has spent a while in unstable and was confirmed not to
> > have some unpleasant side effects that affect IPv4 usage. There's
> > no way this will be accepted just into t-p-u without unstable being
> > fixed.
> 
> do you think you could provide a debdiff with the changes? As stated
> also by Philipp, the fix needs to be uploaded to unstable first. After
> there are no problems, RM seems willing to accept the fix (depending
> on how invasive it is).

I shall endeavour to work on this next Tuesday with a view to producing a
debdiff then.

I feel there's slightly more to it than just shipping an init script, the
package should also attempt to ship a DHCPv6 configuration file, but I'll
look into all of this at that time.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 12 Nov 2012 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 12 Nov 2012 10:51:05 GMT) Full text and rfc822 format available.

Message #110 received at 592539@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: debian-release@lists.debian.org, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Mon, 12 Nov 2012 11:46:53 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Andrew,

On 10/30/2012 05:23 PM, Andrew Pollock wrote:
> I shall endeavour to work on this next Tuesday with a view to
> producing a debdiff then.
> 
> I feel there's slightly more to it than just shipping an init
> script, the package should also attempt to ship a DHCPv6
> configuration file, but I'll look into all of this at that time.

did you found time to look into this yet?

Many thanks, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFQoNOd9u6Dud+QFyQRAnkpAKC0A/VMsJTwm0+S5+bBbf/dXxRT6QCfbRuS
YuBFSBFXsg9w2CyM6DYkpYU=
=OU39
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Mon, 12 Nov 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 12 Nov 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #115 received at 592539@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Jan Wagner <waja@debian.org>
Cc: debian-release@lists.debian.org, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Mon, 12 Nov 2012 06:34:06 -0800
[Message part 1 (text/plain, inline)]
On Mon, Nov 12, 2012 at 11:46:53AM +0100, Jan Wagner wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi Andrew,
> 
> On 10/30/2012 05:23 PM, Andrew Pollock wrote:
> > I shall endeavour to work on this next Tuesday with a view to
> > producing a debdiff then.
> > 
> > I feel there's slightly more to it than just shipping an init
> > script, the package should also attempt to ship a DHCPv6
> > configuration file, but I'll look into all of this at that time.
> 
> did you found time to look into this yet?

Yes I did, but then I realised that the latest patch was against an older
debian/rules, so I managed to undo a bunch of unrealated changes, so I have
to start over again.

> Many thanks, Jan.
> - -- 
> Never write mail to <waja@spamfalle.info>, you have been warned!
> - -----BEGIN GEEK CODE BLOCK-----
> Version: 3.12
> GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
> PS PE Y++
> PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
> - ------END GEEK CODE BLOCK------
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> 
> iD8DBQFQoNOd9u6Dud+QFyQRAnkpAKC0A/VMsJTwm0+S5+bBbf/dXxRT6QCfbRuS
> YuBFSBFXsg9w2CyM6DYkpYU=
> =OU39
> -----END PGP SIGNATURE-----
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Fri, 01 Feb 2013 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 01 Feb 2013 14:33:08 GMT) Full text and rfc822 format available.

Message #120 received at 592539@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: debian-release@lists.debian.org, 592539@bugs.debian.org
Subject: Re: Bug#592539: (isc-dhcp-server: supply additional initscript for IPv6 daemon): Yet another idea how to solve this issue
Date: Fri, 01 Feb 2013 15:31:49 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Andrew,

Am 12.11.2012 15:34, schrieb Andrew Pollock:
> On Mon, Nov 12, 2012 at 11:46:53AM +0100, Jan Wagner wrote: On
> 10/30/2012 05:23 PM, Andrew Pollock wrote:
>>>> I shall endeavour to work on this next Tuesday with a view
>>>> to producing a debdiff then.
>>>> 
>>>> I feel there's slightly more to it than just shipping an
>>>> init script, the package should also attempt to ship a
>>>> DHCPv6 configuration file, but I'll look into all of this at
>>>> that time.
>> 
>> did you found time to look into this yet?
> 
> Yes I did, but then I realised that the latest patch was against an
> older debian/rules, so I managed to undo a bunch of unrealated
> changes, so I have to start over again.

was you able to look into it?

Did you have a look into the ubuntu package, they use upstart scripts,
but maybe this will help sort things out?

Many thanks, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V- PS
PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFRC9HU9u6Dud+QFyQRAlVXAKDnG7tjskqQd1xa/qjL/EstZF54LwCgjWiv
0S7a6Nmd/L1/r/n4N9taNCk=
=YvdH
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Wed, 24 Apr 2013 14:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Watson <debian@watson-wilson.ca>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 24 Apr 2013 14:03:07 GMT) Full text and rfc822 format available.

Message #125 received at 592539@bugs.debian.org (full text, mbox):

From: Neil Watson <debian@watson-wilson.ca>
To: 592539@bugs.debian.org
Subject: isc-dhcp-server: supply additional initscript for IPv6 daemon
Date: Wed, 24 Apr 2013 09:54:10 -0400
I have need of this. DHCPv6 is more flexible than router assignment. Is
this going to make Wheezy's stable promotion next month?

-- 
Neil Watson
Linux/UNIX Consultant
http://watson-wilson.ca



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Wed, 03 Jul 2013 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 03 Jul 2013 19:42:04 GMT) Full text and rfc822 format available.

Message #130 received at 592539@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 592539@bugs.debian.org
Subject: almost works
Date: Wed, 03 Jul 2013 21:38:37 +0200


I tried the last patch attached to this bug

I used the binary package from wheezy and just copied the init script,
/etc/default/isc-dhcp-server and the dhcpd6.conf file from the patch

After hacking dhcpd6.conf into shape I tried to start it.  It fails,
logging this to syslog:

dhcpd: Can't open lease database /var/lib/dhcp/dhcpd6.leases: No such
file or directory --


I manually touched the file:

touch /var/lib/dhcp/dhcpd6.leases


and now it is running




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Wed, 18 Sep 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger.levsen@profitbricks.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 18 Sep 2013 10:45:04 GMT) Full text and rfc822 format available.

Message #135 received at 592539@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger.levsen@profitbricks.com>
To: 592539@bugs.debian.org
Subject: ipv6 is important
Date: Wed, 18 Sep 2013 12:40:12 +0200
control: severity -1 important
# justification: this has been a release goal since ages
# justification2: rfc6540

Thanks for maintaining isc-dhcp!


cheers,
	Holger



Severity set to 'important' from 'wishlist' Request was from Holger Levsen <holger.levsen@profitbricks.com> to 592539-submit@bugs.debian.org. (Wed, 18 Sep 2013 10:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#592539; Package isc-dhcp-server. (Sat, 18 Jan 2014 00:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ihde <steve@x2.hamachi.us>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 18 Jan 2014 00:48:15 GMT) Full text and rfc822 format available.

Message #142 received at 592539@bugs.debian.org (full text, mbox):

From: Steven Ihde <steve@x2.hamachi.us>
To: 592539@bugs.debian.org
Subject: Improved patch
Date: Fri, 17 Jan 2014 16:27:30 -0800
[Message part 1 (text/plain, inline)]
Hi,

Using the patch from Gemes Geza as a starting point:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592539#49

I've reworked the patch, tested it, run it on my own host for several weeks, and rebased against the latest release (4.2.4-7).

I tested that upgrading from an existing install works (and preserves the existing $INTERFACES setting), tested clean install and made sure the debconf interface works, and verified the v6 daemon responds to requests.

The updated patch (generated with debdiff) is attached.

The following points are worth mentioning:

* left the INTERFACES variable (and interfaces) debconf value with their existing names, to improve compatibility with the upgrade path
* fixed the init.d script such that multiple interfaces are handled correctly
* reworked the init.d script such that both v4 and v6 configs are tested before starting or restarting either daemon
* removed the dhclient6 stuff from Gemes' patch; happy to send an updated diff that includes this but it seemed simpler is better for now so I've only addressed dhcpd
* the convention around "true" vs "yes" for values in /etc/default is not clear to me; it seems debconf always goes with true/false for a boolean, but many other scripts in /etc/default seem to use "yes".  I just used "true".
* Three new debconf values are added, with accompanying documentation; this impacts the translations

I welcome any feedback on how to improve the patch or get it applied.  Happy to send a pull request as well as I've cloned the isc-dhcp git repo.

Thanks,

Steve

[Message part 2 (text/html, inline)]
[isc-dhcp-server-ipv6.patch (application/octet-stream, attachment)]
[Message part 4 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:04:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.